<?php

if ( ! @include_once( './mainfile.php' ) ) { exit( '!! INCLUDE ERROR. ACCESS DENIED !!' ); }
error_reporting( _E_VALUE );


/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +----------------------------------------------------------------------+
// | myPHPNuke Version 188_8 RC2                                          |
// +----------------------------------------------------------------------+
// | License: GNU/GPL - http://www.gnu.org/copyleft/gpl.html              |
// +----------------------------------------------------------------------+
// | Support: http://myphpnuke.com/                                       |
// +----------------------------------------------------------------------+
// | Author: myPHPNuke Dev Team                                           |
// +----------------------------------------------------------------------+
// | Copyright: © 2001-2004 myPHPNuke Dev Team                            |
// +----------------------------------------------------------------------+
// $Id: blocksconst.inc.php,v 1.4.2.3 2004/04/18 12:45:25 ajvwaay Exp $



/******************************************************************************
 *
 * File    : blocksconst.inc.php
 * Purpose : Definions of some constants for the blocksystem
 * Author  : Heinz Hombergs
 *
 * History
 *
 * Date        Comments
 * ----------------------------------------------------------------------------
 * 2001-04-05  o Initial Version
 * 2001-09-27  o Added ChatBoxII  :- trini0
 ******************************************************************************/

/* Display side constants */
define("BLOCK_SIDE_LEFT",0);
define("BLOCK_SIDE_RIGHT",1);
define("BLOCK_SIDE_ONE",2);

/* Blocktype constants */

define("BLOCK_TYPE_CUSTOM",0);
define("BLOCK_TYPE_QUOTE",1);
define("BLOCK_TYPE_ONLINE",2);
define("BLOCK_TYPE_USER",3);
define("BLOCK_TYPE_CATEGORY",4);
define("BLOCK_TYPE_BIGSTORY",5);
define("BLOCK_TYPE_SEARCH",6);
define("BLOCK_TYPE_POLL",7);
define("BLOCK_TYPE_LOGIN",8);
define("BLOCK_TYPE_EPHEM",9);
define("BLOCK_TYPE_HEADLINE",10);
define("BLOCK_TYPE_OLDNEWS",11);
define("BLOCK_TYPE_WAITINGCONTENT",12);
define("BLOCK_TYPE_LASTSEEN",13);
define("BLOCK_TYPE_RECENTREVIEWS",14);
define("BLOCK_TYPE_POPULARREVIEWS",15);
define("BLOCK_TYPE_RECENTLINKS",16);
define("BLOCK_TYPE_POPULARLINKS",17);
define("BLOCK_TYPE_PARTNER",18);
define("BLOCK_TYPE_CHATBOXII",19);
define("BLOCK_TYPE_RANDOM_BANNER",20);
define("BLOCK_TYPE_RANDOM_GALLERY",21);
define("BLOCK_TYPE_STATS",22);
define("INCLUDE_FILE",23);
define("BLOCK_THEME_OPTIONS",24);


/* Block visible to */
define("BLOCK_VISIBLE_ALL",0);
define("BLOCK_VISIBLE_USERS",1);
define("BLOCK_VISIBLE_ADMIN",2);

/* Block categories */
define("BLOCK_CAT_MAIN",1);
define("BLOCK_CAT_ADMIN",2);
define("BLOCK_CAT_LEFT",3);
define("BLOCK_CAT_RIGHT",4);

?>
